Bug 1701961

Summary: python2-urwidtrees fails to install due to missing dependencies
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-urwidtreesAssignee: Tomas Tomecek <ttomecek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: ttomecek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-urwidtrees-1.0.2-1.gitd1fa38c.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-05 01:35:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1700324, 1690439    

Description Miro Hrončok 2019-04-22 14:44:52 UTC
$ mock -r fedora-rawhide-x86_64 install python2-urwidtrees
...
Error: 
 Problem: conflicting requests
  - nothing provides python2-urwid needed by python2-urwidtrees-1.0-10.gitfbcb183.fc30.noarch


Please fix this or remove the package.

Comment 1 Miro Hrončok 2019-04-30 17:53:12 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens to quickly, feel free to reach to me any time for help (with specific problems).

(If you know for sure this package shall be removed, consider doing it.)

Comment 2 Tomas Tomecek 2019-05-03 08:21:40 UTC
It's summit time and I won't have time to work on this by May 15th. Please expect this to be taken care of by me by the end of May.

Comment 3 Miro Hrončok 2019-05-03 08:24:22 UTC
Thanks for the update!

Comment 4 Fedora Update System 2019-05-27 14:10:12 UTC
python-urwidtrees-1.0.2-1.gitd1fa38c.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b4f857aef4

Comment 5 Tomas Tomecek 2019-05-27 14:15:06 UTC
Just as I promised: it's the end of May and this is now done. Phiew.

Comment 6 Fedora Update System 2019-05-28 02:28:04 UTC
python-urwidtrees-1.0.2-1.gitd1fa38c.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b4f857aef4

Comment 7 Fedora Update System 2019-06-05 01:35:01 UTC
python-urwidtrees-1.0.2-1.gitd1fa38c.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.